## org.apache.mahout.classifier.df.ref
Class SequentialBuilder

    java.lang.Object
      org.apache.mahout.classifier.df.ref.SequentialBuilder

    public class SequentialBuilder

extends Object

Builds a Random Decision Forest using a given TreeBuilder to grow the trees

Constructor Summary
`SequentialBuilder(Random rng, TreeBuilder treeBuilder, Data data)` Constructor

Method Summary
`DecisionForest` `build(int nbTrees)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequentialBuilder

    public SequentialBuilder(Random rng,
                             TreeBuilder treeBuilder,
                             Data data)

  Constructor

  Parameters:
    `rng` - random-numbers generator
    `treeBuilder` - tree builder
    `data` - training data

Method Detail

### build

    public DecisionForest build(int nbTrees)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.